from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        Node(
            package='ps2_controller',
            executable='ps2_reader',
            name='ps2_controller_node',
            output='screen',
            parameters=[
                {'device': '/dev/input/js0'}  # 可根据需要修改设备路径
            ]
        )
    ])